## org.eclipse.xsd.presentation
Class XSDEditor.GenericXMLResourceFactoryImpl

    java.lang.Object
      org.eclipse.emf.ecore.resource.impl.ResourceFactoryImpl
          org.eclipse.emf.ecore.xmi.impl.XMLResourceFactoryImpl
              org.eclipse.xsd.presentation.XSDEditor.GenericXMLResourceFactoryImpl

All Implemented Interfaces:
  Resource.Factory

Enclosing class:
  XSDEditor

    public static class XSDEditor.GenericXMLResourceFactoryImpl

extends XMLResourceFactoryImpl

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.resource.Resource.Factory
`Resource.Factory.Descriptor, Resource.Factory.Registry`

Constructor Summary
`XSDEditor.GenericXMLResourceFactoryImpl()`

Method Summary
`Resource` `createResource(URI uri)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSDEditor.GenericXMLResourceFactoryImpl

    public XSDEditor.GenericXMLResourceFactoryImpl()

Method Detail

### createResource

    public Resource createResource(URI uri)

  Specified by:
    `createResource` in interface `Resource.Factory`
  Overrides:
    `createResource` in class `XMLResourceFactoryImpl`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.